#Relative Risk via simulation for a rare event
#See http://www.numberwatch.co.uk/2002%20July.htm
#100 researchers study 10,000 subjects each of whom has a 0.1% chance of disease
diseased=rbinom(100,10000,0.001) 
summary(diseased) #we expect 10,000*0.001 = 10 and that's what we get on average
#Min. 1st Qu.  Median    Mean 3rd Qu.    Max. 
#4.00    8.00   10.00   10.03   12.00   20.00  
hist(diseased,breaks=12,xlim=c(0,22))
high=subset(diseased,diseased>10) #select only the "larger than expected" results
length(high)
#[1] 41 one result of running the simulation
hist(high,xlim=c(0,22))
summary(high) #note that one of these is 20, a rate double the expected!
#Min. 1st Qu.  Median    Mean 3rd Qu.    Max. 
#11.00   11.00   12.00   13.12   14.00   20.00 

#Note also that the mean "high" result is 13 = 1.3 * the mean overall
#We have a Poisson (large n, small p binomial is a Poisson) so SD=sqrt(mean) = 3.2
mean(diseased) #10.03 one result of running the simulation
sd(diseased) #3.28 one result of running the simulation

###Now let two samples be random
group1=rbinom(100,8000,0.002)
group2=rbinom(100,8000,0.002)
RR=group1/group2
hist(RR,xlim=c(0,3))
highRR=subset(RR,RR>1)
hist(highRR,xlim=c(0,3))
mean(highRR)
#[1] 1.373413  one result of running the simulation
